Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 547904 - media-libs/rubberband: make media-libs/vamp-plugin-sdk and media-libs/ladspa-sdk optional via USE flags
Summary: media-libs/rubberband: make media-libs/vamp-plugin-sdk and media-libs/ladspa-...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords: NeedPatch
Depends on:
Blocks:
 
Reported: 2015-04-27 14:20 UTC by Nikoli
Modified: 2017-07-07 09:32 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikoli 2015-04-27 14:20:54 UTC
Debian has separate librubberband2, rubberband-ladspa, rubberband-vamp packages:
https://packages.debian.org/source/sid/rubberband

I checked sources: ladspa and vamp are definitely optional and are used only for building corresponding plugins, not for running or building main librubberband. But build system needs patching: configure.ac does not have options for disabling them.

I would like to enable rubberband by default in mpv ebuilds, but do not want to force installing useless deps.